## nvidia-graphics-drivers-tesla-535 535.274.02

=== debian/changelog ===
nvidia-graphics-drivers-tesla-535 (535.274.02-1~mx25ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 12 Nov 2025 11:40:02 -0800

nvidia-graphics-drivers-tesla-535 (535.274.02-1) unstable; urgency=medium

  * New upstream LTS and Tesla branch release 535.274.02 (2025-09-30).
    * Fixed CVE-2025-23280, CVE-2025-23282, CVE-2025-23300, CVE-2025-23330,
      CVE-2025-23332, CVE-2025-23345.  (Closes: #1118688)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5703

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 25 Oct 2025 22:45:02 +0200
