=== debian/control ===
# NOTE: This file is generated from debian/control.in. To regenerate,
# run `make -f debian/rules debian/control'.
Source: nvidia-graphics-drivers-tesla-535
Section: non-free/libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Uploaders: Andreas Beckmann <anbe@debian.org>
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b tesla-535/main
Homepage: https://www.nvidia.com
Standards-Version: 4.7.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-exec,
                    dh-sequence-dkms,
                    libglvnd-dev,
                    libnvidia-egl-wayland1,
                    libvulkan1 (>= 1.0.42),
                    libxext6,
                    linux-headers-amd64 [amd64] <!nocheck>,
                    linux-headers-arm64 [arm64] <!nocheck>,
                    po-debconf,
                    quilt,
                    xz-utils,
                    zstd
Testsuite: autopkgtest-pkg-dkms
XS-Autobuild: yes
Xsbc-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>

Package: nvidia-tesla-535-driver
Section: non-free/x11
Architecture: arm64 amd64
Pre-Depends: nvidia-installer-cleanup, ${nvidia:legacy-check}
Depends: nvidia-support,
         xserver-xorg-video-${nvidia} (= ${binary:Version}),
         ${misc:Depends},
         ${nvidia:kmod:binary},
         ${nvidia}-alternative (= ${binary:Version}),
         ${nvidia}-driver-bin (= ${binary:Version}),
         ${nvidia}-driver-libs (= ${binary:Version}),
         ${nvidia}-vdpau-driver (= ${binary:Version})
Recommends:
            lib${nvidia}-cfg1 (= ${binary:Version}),
            nvidia-persistenced (>= ${nvidia:Version:major}),
            ${nvidia-settings}
Suggests: ${nvidia:kmod:source}
Provides: nvidia-driver-any, nvidia-glx-any
Description: NVIDIA metapackage${nvidia:VariantDesc}
 This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES/Vulkan applications via a direct-rendering X Server.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-tesla-535-driver-full
Section: non-free/x11
Architecture: arm64 amd64
Depends: lib${nvidia-if-variant}cudadebugger1 (= ${binary:Version}),
         lib${nvidia-if-variant}nvoptix1 (= ${binary:Version}) [!i386],
         lib${nvidia}-allocator1 (= ${binary:Version}),
         lib${nvidia}-api1 (= ${binary:Version}),
         lib${nvidia}-cfg1 (= ${binary:Version}),
         lib${nvidia}-encode1 (= ${binary:Version}),
         lib${nvidia}-fbc1 (= ${binary:Version}),
         lib${nvidia}-ngx1 (= ${binary:Version}) [amd64],
         lib${nvidia}-opticalflow1 (= ${binary:Version}),
         lib${nvidia}-rtcore (= ${binary:Version}) [!i386],
         libgles-${nvidia-}1 (= ${binary:Version}),
         libgles-${nvidia-}2 (= ${binary:Version}),
         nvidia-cuda-mps,
         nvidia-detect,
         nvidia-persistenced,
         nvidia-powerd [amd64],
         nvidia-suspend-common,
         ${misc:Depends},
         ${nvidia-settings},
         ${nvidia}-driver (= ${binary:Version}),
         ${nvidia}-opencl-icd (= ${binary:Version}),
         ${nvidia}-smi (= ${binary:Version}),
         ${nvidia}-vulkan-icd (= ${binary:Version})
Description: NVIDIA metapackage (all components)${nvidia:VariantDesc}
 This metapackage depends on all components of the NVIDIA binary driver and
 libraries that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES/Vulkan applications via a direct-rendering X Server.

Package: nvidia-tesla-535-alternative
Architecture: arm64 amd64 i386
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.17.21), ${misc:Pre-Depends}, ${nvidia:legacy-check}
Depends: glx-alternative-nvidia (>= 1.2), ${misc:Depends}
Conflicts: libegl1-glvnd-nvidia,
           libgl1-glvnd-nvidia-glx,
           libgles1-glvnd-nvidia,
           libgles2-glvnd-nvidia,
           libglvnd0-nvidia,
           libglx0-glvnd-nvidia,
           libopengl0-glvnd-nvidia,
           nvidia-legacy-304xx-alternative,
           nvidia-legacy-340xx-alternative,
           nvidia-legacy-390xx-alternative (<< 390.157-2~),
           nvidia-tesla-418-alternative (<< 418.226.00-7~),
           nvidia-tesla-450-alternative,
           nvidia-tesla-460-alternative,
           nvidia-tesla-510-alternative
Provides: nvidia-alternative-any,
          ${nvidia}-alternative-${nvidia:Version},
          ${nvidia}-alternative--kmod-alias
Description: allows the selection of NVIDIA as GLX provider${nvidia:VariantDesc}
 In setups with several NVIDIA driver versions installed (e.g. current and
 legacy) this metapackage registers an alternative to allow easy switching
 between the different versions.
 .
 Use 'update-glx --config nvidia' to select a version.
 .
 This package does not depend on the corresponding NVIDIA libraries.
 In order to install the NVIDIA driver and libraries, install the
 ${nvidia}-driver package instead.

Package: firmware-nvidia-tesla-535-gsp
Section: non-free-firmware/kernel
Architecture: arm64 amd64
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: firmware-nvidia-gsp-${nvidia:Version}
Provides: firmware-${nvidia}-gsp (= ${nvidia:Version}),
          firmware-nvidia-gsp-${nvidia:Version}
Description: NVIDIA GSP firmware${nvidia:VariantDesc}
 The GPU System Processor (GSP) was first introduced in the Turing
 architecture and supports accelerating tasks traditionally performed
 by the driver on the CPU.
 .
 This package provides the firmware to drive the GSP.

Package: nvidia-tesla-535-kernel-support
Section: non-free/kernel
Architecture: arm64 amd64
Multi-Arch: foreign
Depends: nvidia-kernel-common (>= 20151021),
         nvidia-modprobe (>= ${nvidia:Version:major}),
         ${misc:Depends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${nvidia}-alternative--kmod-alias
Provides: nvidia-kernel-support-any, ${nvidia-kernel}-support--v1
Description: NVIDIA binary kernel module support files${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package provides supporting configuration for the kernel module.

Package: nvidia-tesla-535-kernel-dkms
Section: non-free/kernel
Architecture: arm64 amd64
Multi-Arch: foreign
Pre-Depends: nvidia-installer-cleanup
Depends: firmware-${nvidia}-gsp (= ${nvidia:Version}) | firmware-nvidia-gsp-${nvidia:Version},
         ${misc:Depends},
         ${nvidia-kernel}-support--v1
Recommends: ${nvidia}-driver (>= ${nvidia:Version}) | ${libcuda1} (>= ${nvidia:Version})
Provides: nvidia-kernel-dkms-any (= ${nvidia:Version}),
          ${nvidia-kernel}-${nvidia:Version}
Description: NVIDIA binary kernel module DKMS source${nvidia:VariantDesc}
 This package builds the NVIDIA binary kernel modules needed by
 ${nvidia}-driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia-kernel}-dkms/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.
 .
 Note: The new 'non-free-firmware' archive area has to be enabled in apt's
 sources.list(.d/) in order to install firmware-${nvidia}-gsp.

Package: nvidia-tesla-535-kernel-source
Section: non-free/kernel
Architecture: arm64 amd64
Depends: debhelper-compat (= ${nvidia:debhelper-compat}),
         module-assistant,
         ${misc:Depends}
Recommends: firmware-${nvidia}-gsp (= ${nvidia:Version}) | firmware-nvidia-gsp-${nvidia:Version},
            ${nvidia-kernel}-support--v1
Suggests: ${nvidia}-driver (>= ${nvidia:Version})
Description: NVIDIA binary kernel module source${nvidia:VariantDesc}
 This package provides the source for the NVIDIA binary kernel modules
 needed by ${nvidia}-driver in a form suitable
 for use by module-assistant.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 PLEASE read /usr/share/doc/${nvidia-kernel}-source/README.Debian.gz
 for building information. If you want the kernel module to be automatically
 installed via DKMS, install ${nvidia-kernel}-dkms instead.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia-kernel}-source/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: xserver-xorg-video-nvidia-tesla-535
Section: non-free/x11
Architecture: arm64 amd64
Pre-Depends: nvidia-installer-cleanup, ${nvidia:legacy-check}
Depends: nvidia-support,
         ${misc:Depends},
         ${nvidia:xorgDepends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${shlibs:Depends}
Recommends: nvidia-suspend-common,
            ${nvidia-settings},
            ${nvidia:kmod:binary},
            ${nvidia}-driver (>= ${nvidia:Version}),
            ${nvidia}-vdpau-driver (>= ${nvidia:Version}),
            ${nvidia}-vulkan-icd (>= ${nvidia:Version})
Suggests: ${nvidia:kmod:source}
Provides: xserver-xorg-video-nvidia-any, ${nvidia:xorgProvides}
Description: NVIDIA binary Xorg driver${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-tesla-535-driver-bin
Section: non-free/x11
Architecture: arm64 amd64
Depends: ${misc:Depends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${shlibs:Depends}
Recommends: ${nvidia}-driver
Conflicts: nvidia-driver-bin-${nvidia:Version}
Provides: nvidia-driver-bin-${nvidia:Version}
Description: NVIDIA driver support binaries${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains supporting binaries for the driver.

Package: libnvidia-tesla-535-cfg1
Architecture: arm64 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${shlibs:Depends}
Provides: libnvidia-cfg.so.1 (= ${nvidia:Version}), libnvidia-cfg1-any
Description: NVIDIA binary OpenGL/GLX configuration library${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the private libnvidia-cfg runtime library
 which is used by other driver components.

Package: nvidia-tesla-535-driver-libs
Architecture: arm64 amd64 i386
Multi-Arch: same
Depends: libgl1-${nvidia}-glvnd-glx (= ${binary:Version}),
         ${misc:Depends},
         ${nvidia}-egl-icd (= ${binary:Version})
Recommends: lib${nvidia}-allocator1 (= ${binary:Version}),
            lib${nvidia}-cfg1 (= ${binary:Version}) [${nvidia:archlist:driver}],
            lib${nvidia}-encode1 (= ${binary:Version}),
