=== debian/tests/control ===
Test-Command: env BUILD_EXCLUSIVE_CONFIG="!CONFIG_PREEMPT_RT !CONFIG_PREEMPT_RT_FULL" /usr/share/modass/module-assistant-autopkgtest nvidia-tesla-535-kernel
Features: test-name=m-a-autopkgtest
Architecture: amd64 arm64
Depends: linux-doc,
         module-assistant-autopkgtest,
         nvidia-tesla-535-kernel-source
Restrictions: allow-stderr, breaks-testbed, needs-root, superficial

Test-Command: nvidia-detect && nvidia-detect 10DE1340 0000
Features: test-name=nvidia-detect
Architecture: amd64 arm64
Depends: nvidia-detect
Restrictions: superficial

Test-Command: true
Features: test-name=full-install
Architecture: amd64 arm64
Depends: linux-headers-generic, nvidia-tesla-535-driver-full
Restrictions: superficial
